<div class="page-wrapper">
  <div class="form-wrapper">
    <a class="btn mb-1" routerLink="/employee">⮜ Back to List</a>
    <form class="form-group" [formGroup]="employeeForm" (ngSubmit)="onSubmit()">
      <div class="form-group--inline">
        <div class="form-group">
          <label for="sn">S.N.</label>
          <input class="form-control" type="text" id="sn" onchange={} formControlName="sn" />
          <div *ngIf="isSubmited || (employeeForm.controls['sn'].dirty || employeeForm.controls['sn'].touched)"
            class="">
            <div *ngIf="employeeForm.controls['sn'].errors?.['required']">
              <small class="error-text">
                SN is required.
              </small>
            </div>
            <div *ngIf="employeeForm.controls['sn'].errors?.['pattern']">
              <small class="error-text">
                Only Number is accepted.
              </small>
            </div>
          </div>
        </div>
        <div class="form-group">
          <label for="name">Name</label>
          <input class="form-control" type="text" id="name" formControlName="name" />
          <div *ngIf="isSubmited || (employeeForm.controls['name'].dirty || employeeForm.controls['name'].touched)"
            class="">
            <div *ngIf="employeeForm.controls['name'].errors?.['required']">
              <small class="error-text">
                Name is required.
              </small>
            </div>
          </div>
        </div>
      </div>
      <div class="form-group--inline">
        <div class="form-group">
          <label for="code">Employee Code</label>
          <input class="form-control" type="text" id="code" formControlName="code" />
          <div *ngIf="isSubmited || (employeeForm.controls['code'].dirty || employeeForm.controls['code'].touched)"
            class="">
            <div *ngIf="employeeForm.controls['code'].errors?.['required']">
              <small class="error-text">
                Employee code is required.
              </small>
            </div>
            <div *ngIf="employeeForm.controls['code'].errors?.['pattern']">
              <small class="error-text">
                Only Number is accepted.
              </small>
            </div>
          </div>
        </div>
        <div class="form-group">
          <label for="joinedDate">Joined Date</label>
          <input class="form-control" type="date" id="joinedDate" formControlName="joinedDate" />
          <div
            *ngIf="isSubmited || (employeeForm.controls['joinedDate'].dirty || employeeForm.controls['joinedDate'].touched)"
            class="">
            <div *ngIf="employeeForm.controls['joinedDate'].errors?.['required']">
              <small class="error-text">
                Joined date is required.
              </small>
            </div>
          </div>
        </div>
      </div>

      <div class="form-group">
        <label for="email">Email</label>
        <input class="form-control" type="text" id="email" formControlName="email" [email]="true" />
        <div *ngIf="isSubmited || (employeeForm.controls['email'].dirty || employeeForm.controls['email'].touched)"
          class="">
          <div *ngIf="employeeForm.controls['email'].errors?.['required']">
            <small class="error-text">
              Email is required.
            </small>
          </div>
          <div *ngIf="employeeForm.controls['email'].errors?.['email']">
            <small class="error-text">
              Invalid email.
            </small>
          </div>
        </div>
      </div>
      <div class="form-group--inline">
        <div class="form-group">
          <label for="gender">Gender</label>
          <select class="form-control" formControlName="gender" id="gender">
            <option value="Male">Male</option>
            <option value="Female">Female</option>
            <option value="Other">Other</option>
          </select>
          <div *ngIf="isSubmited || (employeeForm.controls['gender'].dirty || employeeForm.controls['gender'].touched)"
            class="">
            <div *ngIf="employeeForm.controls['gender'].errors?.['required']">
              <small class="error-text">
                Gender is required.
              </small>
            </div>
          </div>
        </div>
        <div class="form-group">
          <label for="position">Position</label>
          <select class="form-control" formControlName="position" id="position">
            <option value="Intern">Intern</option>
            <option value="Jr. Engineer">Jr. Engineer</option>
            <option value="Engineer">Engineer</option>
            <option value="Sr. Engineer">Sr. Engineer</option>
          </select>
          <div
            *ngIf="isSubmited || (employeeForm.controls['position'].dirty || employeeForm.controls['position'].touched)"
            class="">
            <div *ngIf="employeeForm.controls['position'].errors?.['required']">
              <small class="error-text">
                Position is required.
              </small>
            </div>
          </div>
        </div>
      </div>
      <div class="form-group">
        <label for="address">Address</label>
        <input class="form-control" type="text" id="address" formControlName="address" />
        <div *ngIf="isSubmited || (employeeForm.controls['address'].dirty || employeeForm.controls['address'].touched)"
          class="">
          <div *ngIf="employeeForm.controls['address'].errors?.['required']">
            <small class="error-text">
              Address is required.
            </small>
          </div>
        </div>
      </div>
      <div class="form-group">
        <label for="mobileNumber">Mobile Number</label>
        <input class="form-control" type="text" id="mobileNumber" formControlName="mobileNumber" />
        <div
          *ngIf="isSubmited || (employeeForm.controls['mobileNumber'].dirty || employeeForm.controls['mobileNumber'].touched)"
          class="">
          <div *ngIf="employeeForm.controls['mobileNumber'].errors?.['required']">
            <small class="error-text">
              Mobile number is required.
            </small>
          </div>
        </div>
      </div>
      <div>&nbsp;</div>
      <input class="btn-save" type="submit" value="Save" id="mobileNumber" />
    </form>
  </div>
</div>